/production-api/package/getallRetrieves all active ProductionPackages
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Response Body
application/json
curl -X GET "https://example.com/production-api/package/getall"[ { "id": 0, "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0 }]/production-api/package/getbyidRetrieve a ProductionPackage by its ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the desired ProductionPackage
Response Body
application/json
curl -X GET "https://example.com/production-api/package/getbyid?id=0"[ { "id": 0, "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0 }]/production-api/package/createCreates a new ProductionPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The desired ProductionPackage
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production-api/package/create" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0 }'{ "id": 0, "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0}/production-api/package/updateUpdates an existing ProductionPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The updated ProductionPackage model
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/production-api/package/update" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0 }'{ "id": 0, "code": "string", "descriptions": { "property1": "string", "property2": "string" }, "packageKind": 0}/production-api/package/deleteDeletes an existing ProductionPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ProductionDepartment.Id
Response Body
curl -X DELETE "https://example.com/production-api/package/delete?id=0"